Amazon Linux AMI : c-ares (ALAS-2017-859)

Medium Nessus Plugin ID 101934

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

The c-ares function `ares_parse_naptr_reply()`, which is used for parsing NAPTR responses, could be triggered to read memory outside of the given input buffer if the passed in DNS response packet was crafted in a particular way. ( CVE-2017-1000381 )

Solution

Run 'yum update c-ares' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2017-859.html

Plugin Details

Severity: Medium

ID: 101934

File Name: ala_ALAS-2017-859.nasl

Version: 3.3

Type: local

Agent: unix

Published: 2017/07/25

Updated: 2018/04/18

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:c-ares, p-cpe:/a:amazon:linux:c-ares-debuginfo, p-cpe:/a:amazon:linux:c-ares-devel, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 2017/07/20

Reference Information

CVE: CVE-2017-1000381

ALAS: 2017-859